Subject: Re: bug#39584: evolution: involid page id error when composing emails

From: Christopher Howard <[email-masked]>
Date: Fri, 21 Feb 2020 15:39:49 -0900

I'm not sure if my workaround is effective or not, at least one time I
still received the page ID error:

(evolution:20864): evolution-util-WARNING **: 15:33:29.599: Failed to
call a DBus Proxy method
org.gnome.Evolution.WebExtension::AddCSSRuleIntoStyleSheet: Invalid
page ID: 55

I'm curious as I don't recall this ever happening on my home computer,
only on my work computer.

My work computer system is

 ..                             `.   christopher@eowyn 
 `--..```..`           `..```..--`   ----------------- 
   .-:///-:::.       `-:::///:-.     OS: Guix System
5f6ce90a90011147a555cd400d7aaec8ef532a7f x86_64 
      ````.:::`     `:::.````        Host: Vostro 230 00 
           -//:`    -::-             Kernel: 5.4.19-gnu 
            ://:   -::-              Uptime: 3 days, 2 hours, 1 min 
            `///- .:::`              Packages: 55 (guix-system), 81
(guix-user) 
             -+++-:::.               Shell: bash 5.0.7 
              :+/:::-                DE: GNOME 3.32.2 
              `-....`                Theme: Adwaita [GTK2/3] 
                                     Icons: Adwaita [GTK2/3] 
                                     Terminal: .gnome-terminal 
                                     CPU: Intel Core 2 Duo E7500 (2) @
2.736GHz 
                                     GPU: Intel 4 Series Chipset 
                                     Memory: 3020MiB / 7929MiB 

I can send my home computer information after I get home.

-----Original Message-----
From: Christopher Howard <[email-masked]>
To: Marius Bakke <[email-masked]>, [email-masked]
Subject: Re: bug#39584: evolution: involid page id error when composing
emails
Date: Tue, 18 Feb 2020 12:56:33 -0900

Looking at that patch code, I'm trying an experiment where I set the
environment variable mentioned:

christopher@eowyn ~$ WEBKIT_USE_SINGLE_WEB_PROCESS="0" evolution 

This should give the same effect as the code would, unless I'm setting
the variable the wrong way. I haven't had the problem again yet, but
I've only tried it for about 20 minutes.

I'm curious also if that code would work, since it makes the assumption
the program name is "evolution", whereas ".evolution-real" is the name
of the process in Guix as listed by "ps -e".

-- 

Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com

-----Original Message-----
From: Christopher Howard <[email-masked]>
To: Marius Bakke <[email-masked]>, [email-masked]
Subject: Re: bug#39584: evolution: involid page id error when composing
emails
Date: Fri, 14 Feb 2020 12:12:27 -0900

I'm eager to give the patch a try. I've never learned yet how to add
add a source patch to a package definition, so it might take me some
time to get to it if I had no help. Is there an ETA on Gnome 3.34?

-- 

Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com

-----Original Message-----
From: Marius Bakke <[email-masked]>
To: Christopher Howard <[email-masked]>, 
[email-masked]
Subject: Re: bug#39584: evolution: involid page id error when composing
emails
Date: Fri, 14 Feb 2020 17:07:09 +0100

Christopher Howard <
[email-masked]
> writes:

> Hi, I use evolution heavily, current 3.32.4 from Guix. I updated my
> guix user packages and guix system about a week ago. When composing
> emails, I occasionally see an error similar to this appear in a box
> above the message composition area:
> 
> gdbus.error:org.freedesktop.dbus.error.invalidargs: invalid page id:
> 165
> 
> While the error is there, I cannot save the email to drafts or send
> it.
> To resolve, I must copy the email contents to another program, then
> restart evolution to create the email again. It seems to be very
> random, but I'd guess it happens once about every five to ten emails
> I
> send.

Searching the web for the error message leads to these bug reports:

https://bugzilla.redhat.com/show_bug.cgi?id=1757243

https://gitlab.gnome.org/GNOME/evolution/issues/587

Apparently Evolution does not work properly with WebKitGTK 2.26.
Backporting all the upstream changes looks cumbersome, but I suppose we
could do something like this until we have GNOME 3.34:

https://src.fedoraproject.org/rpms/webkit2gtk3/blob/f30/f/webkit-process.patch

Thoughts?  Are you able to give it a try?

Thanks,
Marius
-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com